MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024309Open CASCADE[OCCT] OCCT:Visualizationpublic2013-11-01 21:282013-12-19 13:58
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024309: TKOpenGl - Shader resources should be released with delay
DescriptionCurrent implementation of Shader Manager doesn't follow common style of delayed resource destruction.

This also lead to possible crashes in GL driver when window is closed unexpectedly in wrong order.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024250closedbugmaster Open CASCADE TKOpenGl - per-pixel lighting using GLSL program (Phong shading) 
related to 0024315closedbugmaster Open CASCADE Use delayed release of resources in OpenGl aspects for consistency 

-  Notes
(0026430)
kgv (developer)
2013-11-01 21:34

Patch is ready for review in CR24309 branch.
(0026442)
apl (developer)
2013-11-05 07:47

Dear Bugmaster,

The patch for adding support of delayed release of shader resources is reviewed without remarks.

Please test the branch.

- Related Changesets
occt: master 05dd08ce
Timestamp: 2013-11-01 17:33:17
Author: abv
Committer: abv
Details ] Diff ]
0024309: TKOpenGl - Delay release of GLSL resources
mod - src/OpenGl/OpenGl_AspectFace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-01 21:28 kgv New Issue
2013-11-01 21:28 kgv Assigned To => kgv
2013-11-01 21:28 kgv Relationship added related to 0024250
2013-11-01 21:29 kgv Relationship added related to 0024297
2013-11-01 21:34 kgv Note Added: 0026430
2013-11-01 21:34 kgv Assigned To kgv => apl
2013-11-01 21:34 kgv Status new => resolved
2013-11-05 07:47 apl Note Added: 0026442
2013-11-05 07:47 apl Assigned To apl => bugmaster
2013-11-05 07:47 apl Status resolved => reviewed
2013-11-05 08:03 apl Relationship added related to 0024315
2013-11-06 11:07 abv Changeset attached => occt master 05dd08ce
2013-11-06 11:07 abv Assigned To bugmaster => abv
2013-11-06 11:07 abv Status reviewed => verified
2013-11-06 11:07 abv Resolution open => fixed
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker